var fcvCarregada = false;

$(document).ready(function () {
    $("#item-menu-atualizar,#bt-atualizar").click(
        function () {
            LoadingOn();
            $.ajax({
                url: urlGlobal + "TempoReal/CarregarFCV",
                data: "codigoFCV=" + $('body').data("codFcv"),
                success: function (data) {
                    try {
                        if (data != null && data != "" && typeof (data) !== "undefined") {
                            data = $.parseJSON(data);
                            var fcv = ko.mapping.fromJS(data);
                            ko.mapping.fromJS(data, tempoRealVM);
                            atualizaPosicaoTempoRealVeiculo();
                            fixaMapaPosicaoAtual();
                            carregarDetalheFcv();
                        }
                    } catch (e) {
                        alert(e);
                    }
                }
            });

            return false;
        });
});

function carregarDetalheFcv() {
    var url = "Fcv?fcv=";
    url += $('body').data("codFcv");
    $.get(url, function (data) {
        $('#detalhe-fcv').html(data);
    }).done(function () { fcvCarregada = true; LoadingOff(); });
}
